package code;

import java.io.IOException;
import java.net.InetSocketAddress;

import com.sun.net.httpserver.HttpServer;
import java.util.concurrent.Executors;
import java.util.concurrent.ThreadPoolExecutor;

public class Domain {
	
	static public int port=3000;

	public static void main(String[] args) throws IOException {
		if(args.length>1 && args[0].equals("-port")) try {
			port = Integer.parseInt(args[1]);
		}
		
		catch (Exception e) {
			e.printStackTrace();
		}
		ThreadPoolExecutor threadPoolExecutor = (ThreadPoolExecutor)Executors.newFixedThreadPool(5);
		HttpServer server=HttpServer.create(new InetSocketAddress(port),0);
		
		server.setExecutor(threadPoolExecutor);
		
		
		//server.createContext("/", new RootHandler(port));
		//server.createContext("/index", new IndexHandler());
		//install-start-stop-delete
		server.createContext("/install", new InstallHandler());
		//server.createContext("/start", new StartHandler());
		//server.createContext("/stop", new StopHandler());
		//server.createContext("/delete", new DeleteHandler());
		
		server.start();
	}

}
